#!/bin/bash
# --- T2-COPYRIGHT-NOTE-BEGIN ---
# T2 SDE: package/*/rocknet/ifswitch.sh
# Copyright (C) 2022 The T2 SDE Project
# 
# This Copyright note is generated by scripts/Create-CopyPatch,
# more information can be found in the files COPYING and README.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2.
# --- T2-COPYRIGHT-NOTE-END ---

set -e

active=$( cat /var/run/rocknet/active-interfaces 2>/dev/null || true )

if [ $# -eq 0 ]; then
	echo "Usage $0 [ interface profile ] | [ profile ]"
	exit
fi

i=0
for x in ${active//,/ }; do
	[ $(( i++ )) -eq 0 ] && echo "Deactivating current interfaces ..."
	if=${x/(*)/}
	profile=${x/*(/} profile=${profile%)}
	ifdown $if $profile
done

echo "Activating specified profile/interfaces ..."

if [ $# -eq 1 ]; then
	rocknet $1 auto up
else
	ifup $1 $2
fi
